Package org.eclipse.birt.chart.script.api.component

# Interface IMarkerRange

All Superinterfaces:
  `IChartComponent`

public interface IMarkerRange extends IChartComponent
Represents the Marker Range of Axis in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`IDataElement`
`getEndValue()`
Gets the end value for defining where the range will end
`IDataElement`
`getStartValue()`
Gets the start value for defining where the range will start
`void`
`setEndValue(IDataElement value)`
Sets the end value for defining where the range will end
`void`
`setStartValue(IDataElement value)`
Sets the start value for defining where the range will start

### Methods inherited from interface org.eclipse.birt.chart.script.api.component.IChartComponent

`getTitle, isVisible, setVisible`

## Method Details

### getStartValue

IDataElement getStartValue()
Gets the start value for defining where the range will start

Returns:
  value start value

### setStartValue

void setStartValue(IDataElement value)
Sets the start value for defining where the range will start

Parameters:
  `start` - value

### getEndValue

IDataElement getEndValue()
Gets the end value for defining where the range will end

Returns:
  value end value

### setEndValue

void setEndValue(IDataElement value)
Sets the end value for defining where the range will end

Parameters:
  `end` - value